﻿using System;

using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Logging;

using Platform.Logging.FileLogger;

namespace Platform.Logging
{
    public static class PlatformFileLoggerExtensions 
    {
        public static ILoggingBuilder AddPlatformFileLogger( this ILoggingBuilder loggerFactory, IConfigurationSection section )
        {
            try
            {
                var provider = new PlatformFileLoggerProvider(section);
                loggerFactory.AddProvider(provider);
            }
            catch (Exception ex)
            {
                SimpleFileLogger.WriteLine("Failed to add Platform File Logger: {0}", ex.Message);
            }

            return loggerFactory;
        }
    }
}
